Bug 1120177 - controller client has a small memory leak as it's not cleaning up the ThreadGroup object
Summary: controller client has a small memory leak as it's not cleaning up the ThreadG...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Domain Management
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: DR1
: EAP 6.4.0
Assignee: Brian Stansberry
QA Contact: Petr Kremensky
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-16 10:58 UTC by Tom Fonteyne
Modified: 2019-08-19 12:38 UTC (History)
3 users (show)

Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-19 12:38:16 UTC
Type: Bug


Attachments (Terms of Use)
reproducer (8.65 KB, application/zip)
2014-07-16 10:58 UTC, Tom Fonteyne
no flags Details


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-3633 Minor Resolved controller client has a small memory leak as it's not cleaning up the ThreadGroup object 2015-07-07 13:13:48 UTC

Description Tom Fonteyne 2014-07-16 10:58:58 UTC
Created attachment 918390 [details]
reproducer

org.jboss.as.controller.client.impl.ClientConfigurationImpl

052 static ExecutorService createDefaultExecutor() {
053 final ThreadGroup group = new ThreadGroup("management-client-thread");

The ThreadGroup is never cleaned up and creates a memory leak

Reproducing:

Start an out of the box build. I used a snapshot EAP 6.3 build of July 9th.

Run the attached standalone program. It will do a loop creating a connection, and destroying it (try-with-resources)

When it display 240.000 take a heap dump. The dump will contain an equal amount of ThreadGroup objects as connections have been made.

The program will show memory calculations. These are not very precise of course, but the heap dump is very clear.

Comment 3 Petr Kremensky 2014-09-22 14:14:30 UTC
Verified on EAP 6.4.0.DR1.1


Note You need to log in before you can comment on or make changes to this bug.